0 Replies Latest reply on Sep 29, 2014 9:57 PM by branrett

    Looking for ADE 2.0

    branrett

      I recently purchased an eBook that requires ADE. My mac is older and cannot run 4.0. The help page that should direct you to the 2.0 download sends me to the 4.0 download and I cannot find any other references to the 2.0 on the website. Anyone know where I can get the 2.0 download?